For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

A Tag is an object that is used when tagging Chats and Messages.

A MessageTagging is a relationship object defining which Messages are tagged with which Tags.

A ChatTagging is a relationship object defining which Chats are tagged with which Tags.

A MessageTaggingEvent is a historical entry object defining which Messages were tagged with which Tags, by which User and when.

A ChatTaggingEvent is a historical entry object defining which Chats were tagged with which Tags, by which User and when.

post

Assign a Tag to selected Chat.

You cannot create the same Chat + Tag Tagging pair twice, however you can delete and create the same pair again.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Body
idintegerRead-onlyRequired
tagintegerRequired

ID of related Tag

chatstringRequired

WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.

extraany · nullableOptional

Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Chat is tagged.

Responses
201Success
application/json
idintegerRead-onlyRequired
tagintegerRequired

ID of related Tag

chatstringRequired

WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.

extraany · nullableOptional

Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Chat is tagged.

post/api/v1/chat_tagging/
POST /api/v1/chat_tagging/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "tag": 1,
  "chat": "text",
  "extra": null
}
201Success
{
  "id": 1,
  "tag": 1,
  "chat": "text",
  "extra": null
}
get

Get a single Chat Tagging.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Path parameters
idintegerRequired

A unique integer value identifying this chat tagging.

Responses
200Success
application/json
idintegerRead-onlyRequired
tagintegerRequired

ID of related Tag

chatstringRequired

WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.

extraany · nullableOptional

Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Chat is tagged.

get/api/v1/chat_tagging/{id}/
GET /api/v1/chat_tagging/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "id": 1,
  "tag": 1,
  "chat": "text",
  "extra": null
}
delete

Remove a Tag from a Chat by deleting the Chat Tagging.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Path parameters
idintegerRequired

A unique integer value identifying this chat tagging.

Responses
204

No response body

No content

delete/api/v1/chat_tagging/{id}/
DELETE /api/v1/chat_tagging/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
204

No response body

No content

get

List all Chat tagging events for selected Chat

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Query parameters
before_timeintegerOptional

POSIX timestamp. Returns only events that are older than specified before_time.

This should be used when implementing scroll of the event view from newest to oldest.

limitintegerOptional

Number of results to return per page.

offsetintegerOptional

The initial index from which to return the results.

since_timeintegerOptional

POSIX timestamp. Returns only events that are at the same timestamp or newer than specified since_time. Note that, as opposed to before_time param, this param returns messages where timestamp is equal to the given value.

This should be used when implementing scroll of the event view from oldest to newest.

wa_idstringOptional

WhatsApp ID of related Chat

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get/api/v1/chat_tagging_events/
GET /api/v1/chat_tagging_events/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "timestamp": 1,
      "action": "added",
      "tag": {
        "id": 1,
        "name": "text",
        "web_inbox_color": "text"
      },
      "chat": "text",
      "extra": null,
      "done_by": {
        "url": "https://example.com",
        "id": 1,
        "username": "text",
        "first_name": "text",
        "last_name": "text",
        "email": "name@gmail.com",
        "profile": {
          "role": "user",
          "is_available": true
        },
        "groups": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "permissions": {
          "can_use_tags": true,
          "can_read_chats": "all",
          "can_write_to_chats": "all"
        },
        "assigned_wa_ids": [
          "text"
        ]
      }
    }
  ]
}
post

Assign a Tag to selected Message.

Note that by tagging a Message, corresponding Chat is tagged automatically with the same tag.

You cannot create the same Message + Tag Tagging pair twice, however you can delete and create the same pair again.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Body
idintegerRead-onlyRequired

This tagging relation ID. Used when deleting a tagging for example.

tagintegerRequired

ID of related Tag

messagestringRequired

Message ID string known from WABA payload

extraany · nullableOptional

Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Message is tagged.

Responses
201Success
application/json
idintegerRead-onlyRequired

This tagging relation ID. Used when deleting a tagging for example.

tagintegerRequired

ID of related Tag

messagestringRequired

Message ID string known from WABA payload

extraany · nullableOptional

Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Message is tagged.

post/api/v1/message_tagging/
POST /api/v1/message_tagging/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "tag": 1,
  "message": "text",
  "extra": null
}
201Success
{
  "id": 1,
  "tag": 1,
  "message": "text",
  "extra": null
}
get

Get a single Message Tagging.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Path parameters
idintegerRequired

A unique integer value identifying this message tagging.

Responses
200Success
application/json
idintegerRead-onlyRequired

This tagging relation ID. Used when deleting a tagging for example.

tagintegerRequired

ID of related Tag

messagestringRequired

Message ID string known from WABA payload

extraany · nullableOptional

Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Message is tagged.

get/api/v1/message_tagging/{id}/
GET /api/v1/message_tagging/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "id": 1,
  "tag": 1,
  "message": "text",
  "extra": null
}
delete

Remove a Tag from a Message by deleting the Message Tagging.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Path parameters
idintegerRequired

A unique integer value identifying this message tagging.

Responses
204

No response body

No content

delete/api/v1/message_tagging/{id}/
DELETE /api/v1/message_tagging/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
204

No response body

No content

get

List all Message tagging events for selected Chat or Message

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Query parameters
before_timeintegerOptional

POSIX timestamp. Returns only events that are older than specified before_time.

This should be used when implementing scroll of the event view from newest to oldest.

limitintegerOptional

Number of results to return per page.

message_idstringOptional

Message ID

offsetintegerOptional

The initial index from which to return the results.

since_timeintegerOptional

POSIX timestamp. Returns only events that are at the same timestamp or newer than specified since_time. Note that, as opposed to before_time param, this param returns messages where timestamp is equal to the given value.

This should be used when implementing scroll of the event view from oldest to newest.

wa_idstringOptional

WhatsApp ID of related Chat

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get/api/v1/message_tagging_events/
GET /api/v1/message_tagging_events/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "timestamp": 1,
      "action": "added",
      "tag": {
        "id": 1,
        "name": "text",
        "web_inbox_color": "text"
      },
      "message": "text",
      "extra": null,
      "done_by": {
        "url": "https://example.com",
        "id": 1,
        "username": "text",
        "first_name": "text",
        "last_name": "text",
        "email": "name@gmail.com",
        "profile": {
          "role": "user",
          "is_available": true
        },
        "groups": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "permissions": {
          "can_use_tags": true,
          "can_read_chats": "all",
          "can_write_to_chats": "all"
        },
        "assigned_wa_ids": [
          "text"
        ]
      }
    }
  ]
}
get

List all Tags that can be used on Chats and Messages.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Query parameters
limitintegerOptional

Number of results to return per page.

offsetintegerOptional

The initial index from which to return the results.

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get/api/v1/tags/
GET /api/v1/tags/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "id": 1,
      "name": "text",
      "web_inbox_color": "text"
    }
  ]
}
post

Create a new Tag that can be later used to tag Messages or Chats

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Body
idintegerRead-onlyRequired
namestring · max: 1000Required
web_inbox_colorstring · max: 1000 · nullableOptional

A Web App related setting - which color to show on the Web App frontend

Responses
201Success
application/json
idintegerRead-onlyRequired
namestring · max: 1000Required
web_inbox_colorstring · max: 1000 · nullableOptional

A Web App related setting - which color to show on the Web App frontend

post/api/v1/tags/
POST /api/v1/tags/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "name": "text",
  "web_inbox_color": "text"
}
201Success
{
  "id": 1,
  "name": "text",
  "web_inbox_color": "text"
}
delete

Delete a Tag. It is removed from every Chat and Message that has it.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Path parameters
idintegerRequired

A unique integer value identifying this tag.

Responses
204

No response body

No content

delete/api/v1/tags/{id}/
DELETE /api/v1/tags/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
204

No response body

No content

Last updated

Was this helpful?